gr::satellites::pdu_length_filter Class Reference

<+description of block+> More...

`#include <pdu_length_filter.h>`

Inheritance diagram for gr::satellites::pdu_length_filter:
[legend]

## Public Types

typedef boost::shared_ptr< pdu_length_filter > | sptr

## Static Public Member Functions

static sptr | make (int min, int max)
| Return a shared_ptr to a new instance of satellites::pdu_length_filter. More...

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<pdu_length_filter> gr::satellites::pdu_length_filter::sptr

## Member Function Documentation

## make()

static sptr gr::satellites::pdu_length_filter::make | ( | int | min,
|  | int | max
| ) |  |

static

Return a shared_ptr to a new instance of satellites::pdu_length_filter.

To avoid accidental use of raw pointers, satellites::pdu_length_filter's constructor is in a private implementation class. satellites::pdu_length_filter::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- pdu_length_filter.h